#include <iostream>
#include <vector>
#include <iomanip>

using namespace std;

int main()
{
    cout << setprecision(4) << fixed;
    int n;
    long double p,paremaks=0,paret=0,delioc=100;
    cin >> n;
    vector<long double> Frilenseri(n);
    vector<long double> Frilenserip(n);
    for(int i=0;i<n;i++){
        cin >> Frilenseri[i];
        cin >> Frilenserip[i];

    }
    for(int j=0;j<n;j++){
        p=Frilenserip[j];
        paret=0;
        for(int i=0;i<n;i++){
            if(Frilenserip[i]>=p){
                paret+=Frilenseri[i]*p/delioc;
            }
        }
        if(paret>paremaks){
            paremaks=paret;
        }
    }
    cout << paremaks << endl;
    return 0;
}